class Answer < ApplicationRecord
  serialize :answer

  belongs_to :question
  belongs_to :candidate

  validates :candidate_id, presence: true
  validates :question_id, presence: true
  validates :answer, answer_format: true
end
