class Quiz < ApplicationRecord
  has_many :questions, -> { order(:sort) }
  has_many :candidates

  validates :name, presence: true, uniqueness: true
  validates :dept, presence: true
  validates :unit, presence: true
end
