class CandidateQuizQuestion
  attr_reader :row

  def initialize row
    @row = row
  end

  def candidate_id
    row["candidate_id"]
  end

  def quiz_id
    row["quiz_id"]
  end
  alias to_i quiz_id

  def question_id
    row["question_id"]
  end

  def answer_id
    row["answer_id"]
  end

  def question
    row["question"]
  end

  def attachment
    row['attachment']
  end

  def category
    row["category"]
  end

  def input_type
    row["input_type"]
  end

  def input_options
    YAML.load(row["input_options"].to_s) || {}
  end

  def answer
    YAML.load(row["answer"].to_s) unless row['answer'].nil?
  end

  def saved
    row["saved"]
  end

  def submitted
    row["submitted"]
  end

  def updated_at
    row["updated_at"]
  end
end
