require 'test_helper'

class CandidateTest < ActiveSupport::TestCase
  test "test_hash is auto generated" do
    candidate = Candidate.create(name: 'new name',
                                 email: 'test@mailinator.com',
                                 experience: '0-3',
                                 quiz_id: quizzes(:fed).id)

    assert candidate.test_hash.present?
  end

  test "should encrypt emails" do
    email = 'test@mailinator.com'
    candidate = Candidate.create(name: 'new name',
                                 email: email,
                                 experience: '0-3',
                                 recruiter_id: users(:recruiter).id,
                                 quiz_id: quizzes(:fed).id)

    sql = "select email from candidates where id = #{candidate.id};"
    enc_email = ActiveRecord::Base.connection.execute(sql).first.first

    refute_equal email, enc_email
  end
end
