require 'test_helper'

class QuestionTest < ActiveSupport::TestCase
  test 'should compact arrays for input_options' do
    question = Question.new(quiz_id: quizzes(:fed).to_i,
                            question: 'foo',
                            category: 'bar',
                            input_type: 'radio',
                            input_options: ['one', 'two', '', ' ', nil])
    question.validate

    assert_equal 2, question.input_options.count
  end

  test 'should have seed input for live_coder' do
    question = Question.find questions(:fed7).to_i

    assert_kind_of Hash, question.input_options
    assert question.input_options.keys.include? :html
  end
end
