require 'test_helper'

class SkillConfigTest < ActiveSupport::TestCase
  test "verify sample file exists" do
    assert File.exist? "#{Rails.root}/config/application.yml.sample"
  end

  test "verify config file exists" do
    assert File.exist? "#{Rails.root}/config/application.yml"
  end

  test 'config can load and return proper values' do
    skonfig = SkillConfig.new

    assert_equal 'localhost', skonfig.mysql_host
  end
end
